%global momorel 2

Name:           perl-MooseX-Types-DateTime-ButMaintained
Version:        0.06
Release:        %{momorel}m%{?dist}
Summary:        DateTime related constraints and coercions for Moose
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Types-DateTime-ButMaintained/
Source0:        http://www.cpan.org/modules/by-module/MooseX/MooseX-Types-DateTime-ButMaintained-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-DateTime >= 0.43.02
BuildRequires:  perl-DateTime-Format-DateParse >= 0.04
BuildRequires:  perl-DateTime-Format-Flexible >= 0.05
BuildRequires:  perl-DateTime-Format-Natural >= 0.71
BuildRequires:  perl-DateTime-Locale >= 0.40.01
BuildRequires:  perl-DateTime-TimeZone >= 0.77.01
BuildRequires:  perl-DateTimeX-Easy >= 0.082
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Moose >= 0.41
BuildRequires:  perl-MooseX-Types >= 0.04
BuildRequires:  perl-namespace-clean >= 0.08
BuildRequires:  perl-Test-Exception >= 0.27
BuildRequires:  perl-Test-use-ok >= 0.02
BuildRequires:  perl-Time-Duration-Parse >= 0.06
BuildRequires:  perl-Olson-Abbreviations
Requires:       perl(DateTime) >= 0.43.02
Requires:       perl(DateTime::Format::DateParse) >= 0.04
Requires:       perl(DateTime::Format::Flexible) >= 0.05
Requires:       perl(DateTime::Format::Natural) >= 0.71
Requires:       perl(DateTime::Locale) >= 0.40.01
Requires:       perl(DateTime::TimeZone) >= 0.77.01
Requires:       perl(DateTimeX::Easy) >= 0.082
Requires:       perl(Moose) >= 0.41
Requires:       perl(MooseX::Types) >= 0.04
Requires:       perl(namespace::clean) >= 0.08
Requires:       perl(Test::Exception) >= 0.27
Requires:       perl(Test::use::ok) >= 0.02
Requires:       perl(Time::Duration::Parse) >= 0.06
Requires:       perl(Olson::Abbreviations)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module packages several Moose::Util::TypeConstraints with coercions,
designed to work with the DateTime suite of objects.

%prep
%setup -q -n MooseX-Types-DateTime-ButMaintained-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/MooseX/Types/DateTime/ButMaintained*
%{_mandir}/man3/*

%changelog
* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-2m)
- modify BuildRequires

* Sat May 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
